## org.apache.cassandra.gms
Class VersionGenerator

    java.lang.Object
      org.apache.cassandra.gms.VersionGenerator

    public class VersionGenerator

extends java.lang.Object

A unique version number generator for any state that is generated by the local node.

Constructor Summary
`VersionGenerator()`

Method Summary
`static int` `getNextVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionGenerator

    public VersionGenerator()

Method Detail

### getNextVersion

    public static int getNextVersion()

Copyright © 2013 The Apache Software Foundation